interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate, compress']
      User-Agent: [!!python/unicode rtv test suite PRAW/3.3.0 Python/2.7.6 Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty]
    method: !!python/unicode GET
    uri: https://api.reddit.com/r/random/?unique=1
  response:
    body: {string: !!python/unicode "<html>\n <head>\n  <title>302 Found</title>\n
        </head>\n <body>\n  <h1>302 Found</h1>\n  The resource was found at <a href=\"https://api.reddit.com/r/ObscureMedia/.api?unique=1\">https://api.reddit.com/r/ObscureMedia/.api?unique=1</a>;\nyou
        should be redirected automatically.\n\n\n </body>\n</html>"}
    headers:
      cache-control: ['max-age=0, must-revalidate']
      cf-ray: [29045965674e0651-SJC]
      connection: [keep-alive]
      content-length: ['285']
      content-type: [text/html; charset=UTF-8]
      date: ['Fri, 08 Apr 2016 08:29:01 GMT']
      location: ['https://api.reddit.com/r/ObscureMedia/.api?unique=1']
      server: [cloudflare-nginx]
      set-cookie: ['__cfduid=d0dcd8b23235c27d41d4cdfd20234416a1460104141; expires=Sat,
          08-Apr-17 08:29:01 GMT; path=/; domain=.reddit.com; HttpOnly']
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      x-content-type-options: [nosniff]
      x-moose: [majestic]
      x-ua-compatible: [IE=edge]
    status: {code: 302, message: Found}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate, compress']
      User-Agent: [!!python/unicode rtv test suite PRAW/3.3.0 Python/2.7.6 Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty]
    method: !!python/unicode GET
    uri: https://api.reddit.com/r/ObscureMedia/.api?unique=1&unique=1
  response:
    body:
      string: !!binary |
[encoded data, 24136 characters]
    headers:
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      cf-ray: [29045969d7620651-SJC]
      connection: [keep-alive]
      content-encoding: [gzip]
      content-length: ['16183']
      content-type: [application/json; charset=UTF-8]
      date: ['Fri, 08 Apr 2016 08:29:02 GMT']
      server: [cloudflare-nginx]
      set-cookie: ['__cfduid=d2d49f25e8fa78cd15fb36f8ea5c7045a1460104142; expires=Sat,
          08-Apr-17 08:29:02 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=exrpUERvMjkjKG8TsB;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sun, 08-Apr-2018 08:29:02
          GMT; secure', 'loidcreated=2016-04-08T08%3A29%3A02.636Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Sun, 08-Apr-2018 08:29:02 GMT; secure']
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      vary: [accept-encoding]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=GUmWIZ4Jut5wjBdmf1Jd7N8YjQnfW6J3vT8T56k5RuCCjJmZXssI7Fo2eXDvl8PHgL%2FnEPS0q389cI%2B13FcalNOG5MNjH7rP']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate, compress']
      Cookie: [loid=exrpUERvMjkjKG8TsB; loidcreated=2016-04-08T08%3A29%3A02.636Z;
          __cfduid=d2d49f25e8fa78cd15fb36f8ea5c7045a1460104142]
      User-Agent: [!!python/unicode rtv test suite PRAW/3.3.0 Python/2.7.6 Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty]
    method: !!python/unicode GET
    uri: https://api.reddit.com/r/ObscureMedia/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 82438 characters]
    headers:
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      cf-ray: [2904597ec7c40651-SJC]
      connection: [keep-alive]
      content-encoding: [gzip]
      content-length: ['55281']
      content-type: [application/json; charset=UTF-8]
      date: ['Fri, 08 Apr 2016 08:29:06 GMT']
      server: [cloudflare-nginx]
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      vary: [accept-encoding]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=fgr2YkKAJmIMnf0zGzgwDAXsK7kn5uXAqp0Lp6faHzI2pD6LQGDetcSAkMR6I1HatvD%2BqgbzKlkkqgcQItjGgiVLN7MWpoAq']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
